#include <stdio.h>
                      
#include <linux/joystick.h>

  /* Joytest v1.0p, de El Presi (presi@euibbs.upv.es) */
  /* http://bbs.eui.upv.es/~presi/software/ */
  /* bajo licencia GPL, mas info: www.fsf.org */
                         
int main(int argc, char *argv[])
 {
   FILE *fd;
   struct js_event e;

   if (argc==2 && argv[1][0]=='-')
    {
      if (argv[1][1]=='v'|| argv[1][1]=='V')
       {
         puts("joytest 1.0p");
         return 0;
       }
      if (argv[1][1]=='h' || argv[1][1]=='?')
       {
         puts("Utilizacion: joytest [dispositivo]");
         return 0;
       }
    }

   if (argc>1) fd = fopen(argv[1],"rb");
          else fd = fopen("/dev/js0","rb");

   for(;;)
    {   
        fread(&e,sizeof(struct js_event),1,fd);

        printf("Tipo: 0x%x\nNumero: %d\nValor: %d\nTiempo: %d\n\n",e.type,e.number,e.value,e.time);
    }
 }
